dsc-datatool-generator client_subnet_country(7)

NAME
client_subnet_country - Generates country information based on client subnet using Maxmind database.

SYNOPSIS
dsc-datatool --generator ";client_subnet_country;<options...>"

DESCRIPTION
This generator looks up country code in a Maxmind database for the subnets in the client_subnet dataset and the dataset client_subnet_country from that.

OPTIONS

path=<directory>
    Search for the Maxmind database in the specified directory. This option can be given multiple times to search in multiple directories.

    Default search paths are: /var/lib/GeoIP, /usr/share/GeoIP, /usr/local/share/GeoIP.

filename=filename
    The database filename to search for, default to GeoLite2-Country.mmdb.

db=/path/to/database.mmdb
    Full path to Maxmind database, this option overrides path and filename.

nonstrict=<value>
    If set (to any value) then a non-strict mode is enabled which will disregard any bad data in the dataset, skipping it completely. Default is strict mode.

SEE ALSO
dsc-datatool(1), geoipupdate(1)

AUTHORS
Jerry Lundström, DNS-OARC

Maintained by DNS-OARC

    https://www.dns-oarc.net/tools/dsc

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dsc-datatool/issues

For question and help please use:

    https://lists.dns-oarc.net/mailman/listinfo/dsc